%global __requires_exclude ^perl\\(IO::Zlib\\)$

Summary:        Module for manipulations of tar archives
Name:           perl-Archive-Tar
Version:        3.02
Release:        4%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Archive-Tar
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/Archive-Tar-%{version}.tar.gz

Patch3000:      Archive-Tar-2.02-Do-not-sleep-in-Makefile.PL.patch

BuildRequires:  coreutils make perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(Getopt::Std) perl(strict) perl(Carp) perl(Cwd)
BuildRequires:  perl(File::Basename) perl(File::Copy) perl(File::Find) perl(vars)
BuildRequires:  perl(Exporter) perl(File::Path) perl(File::Spec::Unix)
BuildRequires:  perl(Getopt::Long) perl(warnings) perl(constant)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec) >= 0.82
# For tests
BuildRequires:  perl(Data::Dumper) perl(IO::File) perl(IO::Handle) perl(Pod::Usage)
BuildRequires:  perl(File::Temp) perl(FindBin) perl(lib) perl(Test::More)
BuildRequires:  perl(Test::Harness) >= 2.26
BuildRequires:  perl(IO::Zlib) >= 1.01
Requires:       perl(IO::Zlib) >= 1.01
Requires:       perl(IO::Compress::Bzip2) >= 2.015
Requires:       perl(IO::Uncompress::Bunzip2) >= 2.015
%if ! 0%{?perl_bootstrap}
Requires:       perl(IO::Compress::Xz) perl(IO::Uncompress::UnXz) perl(Text::Diff)
%endif
BuildArch:      noarch

%description
Archive::Tar provides an object oriented mechanism for handling tar
files.  It provides class methods for quick and easy files handling
while also allowing for the creation of tar file objects for custom
manipulation.  If you have the IO::Zlib module installed, Archive::Tar
will also support compressed or gzipped tar files.

%prep
%autosetup -n Archive-Tar-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc CHANGES README
%{perl_vendorlib}/Archive/
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.02-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.02-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.02-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.02-1
- Upgrade to upstream version 3.02
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.40-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.40-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 11 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.40-1
- Initial build
